## org.apache.xerces.xs.datatypes
Interface ObjectList

    public interface ObjectList

The `ObjectList` is an immutable ordered collection of `Object`.

Version:
  $Id: ObjectList.java 320368 2005-05-15 20:37:23Z mrglavas $
Author:
  Ankit Pasricha, IBM

Method Summary
`boolean` `contains(java.lang.Object item)` Checks if the `Object` `item` is a member of this list.
`int` `getLength()` The number of `Object`s in the list.
`java.lang.Object` `item(int index)` Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list.

Method Detail

### getLength

    int getLength()

  The number of `Object`s in the list. The range of valid child object indices is 0 to `length-1` inclusive.

### contains

    boolean contains(java.lang.Object item)

  Checks if the `Object` `item` is a member of this list.

  Parameters:
    `item` - `Object` whose presence in this list is to be tested.
  Returns:
    True if this list contains the `Object` `item`.

### item

    java.lang.Object item(int index)

  Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list. The index starts at 0.

  Parameters:
    `index` - index into the collection.
  Returns:
    The `Object` at the `index`th position in the `ObjectList`, or `null` if the index specified is not valid - greater than or equal to the number of items in the list or less than zero.

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.